ConfBlock (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.webapp, class: ConfBlock

Package org.apache.hadoop.mapreduce.v2.app.webapp

# Class ConfBlock

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlBlock
org.apache.hadoop.mapreduce.v2.app.webapp.ConfBlock

All Implemented Interfaces:
  `org.apache.hadoop.yarn.webapp.Params`, `org.apache.hadoop.yarn.webapp.SubView`

public class ConfBlock extends org.apache.hadoop.yarn.webapp.view.HtmlBlock
Render the configuration for this job.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `org.apache.hadoop.yarn.webapp.View.ViewContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `BYTES_IN_MB, DATE_PATTERN, UNAVAILABLE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `getCallerUGI, initUserHelpInformationDiv, render, renderPartial`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### render

    protected void render(org.apache.hadoop.yarn.webapp.view.HtmlBlock.Block html)
    Specified by:
      `render` in class `org.apache.hadoop.yarn.webapp.view.HtmlBlock`